Subject: Re: bug#48545: 28.0.50; `icomplete-vertical-mode` does not support the `group-function`

From: João Távora <[email-masked]>
Date: Wed, 18 Aug 2021 10:55:02 +0100

Kévin Le Gouguec <[email-masked]> writes:

> João Távora <[email-masked]> writes:
>
>> It seemed to do the right thing, prepending each entry with the name of
>> its associated "group".  Is this what it means to support this?  If so,
>> I'll close.  Else, please explain what support you're looking for.
>
> I think Daniel is referring to what happens if you set completions-group
> to t and type e.g. C-x 8 RET ROMAN TAB TAB (without icomplete): you will
> see two "sections" titled 'symbol' and 'ancient-symbol'.

Thanks you, easy to reproduce and see clearly what you mean now that
you've filled the missing information in this bug report.

> Right now icomplete-vertical-mode does not make use of this information,
> AFAICT (unlike e.g. Vertico).

That's right.  I guess I'll copy Vertico's UI here, it seems reasonable.

João